package jp.gr.java_conf.shiseissi.commonlib;

import android.os.HandlerThread;
import android.os.Looper;

/**
 * @author shisei
 */
public class HandlerThreadCompat extends HandlerThread {
    public HandlerThreadCompat(String name) {
        super(name);
    }

    public HandlerThreadCompat(String name, int priority) {
        super(name, priority);
    }

    // for Android 1.6
    public boolean quit() {
        Looper looper = getLooper();
        if (looper != null) {
            looper.quit();
            return true;
        }
        return false;
    }
}
